Bug 1500693 (CVE-2017-13722) - CVE-2017-13722 libXfont: Insufficient input validation in pcfread.c
Summary: CVE-2017-13722 libXfont: Insufficient input validation in pcfread.c
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-13722
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1500694 1500695
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-11 10:49 UTC by Andrej Nemec
Modified: 2019-09-29 14:24 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:29:07 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-10-11 10:49:07 UTC
It was discovered that libXfont incorrectly handled certain malformed PCF
files. A local attacker could use this issue to cause libXfont to crash,
resulting in a denial of service, or possibly obtain sensitive information.

Upstream patch:

https://cgit.freedesktop.org/xorg/lib/libXfont/commit/?id=672bb944311392e2415b39c0d63b1e1902905bcd

Comment 1 Andrej Nemec 2017-10-11 10:50:18 UTC
Created libXfont tracking bugs for this issue:

Affects: fedora-all [bug 1500695]


Created libXfont2 tracking bugs for this issue:

Affects: fedora-all [bug 1500694]


Note You need to log in before you can comment on or make changes to this bug.